FLAC 1.4.2 Free Lossless Audio Codec

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::Application Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Application:

## Public Member Functions
| Application (const Application &object)
| Application (const ::FLAC__StreamMetadata &object)
| Application (const ::FLAC__StreamMetadata *object)
| Application (::FLAC__StreamMetadata *object, bool copy)
Application & | operator= (const Application &object)
Application & | operator= (const ::FLAC__StreamMetadata &object)
Application & | operator= (const ::FLAC__StreamMetadata *object)
Application & | assign (::FLAC__StreamMetadata *object, bool copy)
bool | operator== (const Application &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const Application &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
const FLAC__byte * | get_id () const
const FLAC__byte * | get_data () const
void | set_id (const FLAC__byte value[4])
bool | set_data (const FLAC__byte *data, uint32_t length)
bool | set_data (FLAC__byte *data, uint32_t length, bool copy)
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const

## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Detailed Description

APPLICATION metadata block. See the overview for more, and the format specification.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2022 Xiph.Org Foundation